Summary
Search Workflows
Description
Search Workflows with Options
Route
POST /workflow_engine/workflows/search
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| options |
object |
yes |
expand, fields, query, limit, skip, sort |
Copied to Clipboard
{
"options": {
"expand": [
"created_by",
"owner",
"created_by"
],
"fields": {
"name": 1
},
"query": {
"name": "abcd"
},
"limit": 50,
"local": true,
"skip": 0,
"sort": {
"name": -1
}
}
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| workflows |
object |
Search Results |
Copied to Clipboard
{
"results": [
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"error_handler": {
"name": "childJob",
"summary": "ut dolor consequat exercitation Lorem",
"description": "proident eiusmod",
"app": "non",
"variables": {
"error": ""
},
"groups": [
"b38845dc0f70433c28f06d9b",
"b2dfce2d99b6dee3d9b06d42",
"3680cda46a8c444c305bf592"
],
"x": 0.36142061281337046,
"y": 0.502092050209205,
"type": "operation",
"deprecated": true,
"scheduled": true,
"retrySettings": {
"state": [
"failure",
"success"
],
"autoRetry": false,
"limit": 20,
"delay": 2000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"3a30f42e5fdc20009ac091f3",
"537ceca87b3f85ed5559d0aa",
"7ee10092b61bd3fa3f308ab4",
"83d67c4fd86a123c91d41f23"
],
"_id": "5cb7b531d06cceb89fd21b1c",
"description": "fugiat",
"preAutomationTime": 250000,
"font_size": 12,
"created": "1976-05-07T18:43:16.238Z",
"created_by": "18897f407226070d11dc62e3",
"last_updated": "1976-05-12T02:23:32.731Z",
"last_updated_by": "78e7c48328ee20491c6373ed",
"lastUpdatedVersion": "ut nostrud",
"tags": [],
"canvasVersion": 2
}
],
"skip": 0,
"limit": 50,
"total": 100
}